Name:           openstreetmap-carto-de
Version:        4.0.0
Release:        1%{?dist}
Summary:        General-purpose OpenStreetMap mapnik style, in CartoCSS (german style)
URL:            https://github.com/giggls/openstreetmap-carto-de
Source0:        https://github.com/giggls/openstreetmap-carto-de/archive/master.tar.gz
License:        CC0
BuildArch:      noarch
Requires:       renderd

%description
An adaptation of the "German" Mapnik style to the CartoCSS structure used by
the international style. The rest of this README is the original text from the
international style.

These are the CartoCSS map stylesheets for the Standard map layer on
OpenStreetMap.org.
These stylesheets can be used in your own cartography projects, and are
designed to be easily customised. They work with Kosmtik and also with
the command-line CartoCSS processor.
Since August 2013 these stylesheets have been used on the OSMF tileservers
(tile.openstreetmap.org), and are updated from each point release.
They supersede the previous XML-based stylesheets.

%prep
%setup -qn %{name}-master

%build

%install
%{__mkdir_p} %{buildroot}%{_datadir}/%{name}
%{__mkdir_p} %{buildroot}%{_localstatedir}/lib/%{name}
%{__cp} *.mss %{buildroot}%{_datadir}/%{name}/
%{__cp} indexes.* %{buildroot}%{_datadir}/%{name}/
%{__cp} openstreetmap-carto.* %{buildroot}%{_datadir}/%{name}/
%{__cp} preview*.png %{buildroot}%{_datadir}/%{name}/
%{__cp} project.mml %{buildroot}%{_datadir}/%{name}/
%{__cp} road-colors.yaml %{buildroot}%{_datadir}/%{name}/
%{__cp} -r scripts %{buildroot}%{_datadir}/%{name}/
%{__cp} -r symbols %{buildroot}%{_datadir}/%{name}/
ln -s %{_localstatedir}/lib/%{name} %{buildroot}%{_datadir}/%{name}/data
# Specific to geramn style
%{__cp} osm_tag2num.sql %{buildroot}%{_datadir}/%{name}/
%{__cp} openstreetmap-carto.* %{buildroot}%{_datadir}/%{name}/
%{__cp} indexes-hstore.* %{buildroot}%{_datadir}/%{name}/
%{__cp} hstore-only.style %{buildroot}%{_datadir}/%{name}/

%files
%doc CARTOGRAPHY.md CHANGELOG.md CODE_OF_CONDUCT.md CONTRIBUTING.md CONTRIBUTING-upstream.md INSTALL.md INSTALL-de.md README.md RELEASES.md
%license LICENSE.txt
%attr(755,osm,osm) %dir %{_localstatedir}/lib/%{name}
%{_datadir}/%{name}

%changelog
* Fri Jun 23 2017 Didier Fabert <dfabert@b2pweb.com> 4.0.0-1
- First package
